ozwdaemon Docker Image Builds

Build: #258 is building

Job: AMD64 Build failed

Job result summary

Completed
Duration
2 minutes
Agent
rollergirl.dmz.dynam.ac
Revision
7ebd43e246e97851ad20f2b1bb9c62bfd6a4a6ef 7ebd43e246e97851ad20f2b1bb9c62bfd6a4a6ef
Failing since
#204 (Scheduled – )
No failed test found. A possible compilation error occurred.

Error summary

The build generated some errors. See the full build log for more details.

#9 DONE 152.7s

#10 [builder  2/15] WORKDIR /opt
#10 sha256:32ab0c22c381f1e9ef37cbbc4f0c461ef97c61245eeda300f3ffb1c1c2359804
#10 DONE 6.4s

#11 [builder  3/15] RUN apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev
#11 sha256:8a2ca063f1f1c3496151637afafeb6ccfc7d59ec0a72492f877f7f1997a8b5a4
#11 0.587
#11 0.587 WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
#11 0.587
#11 0.658 Get:1 http://deb.debian.org/debian buster InRelease [122 kB]
#11 0.658 Get:2 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
#11 0.676 Get:3 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
#11 1.278 Reading package lists...
#11 2.290 E: Repository 'http://security.debian.org/debian-security buster/updates InRelease' changed its 'Suite' value from 'stable' to 'oldstable'
#11 2.290 E: Repository 'http://deb.debian.org/debian buster InRelease' changed its 'Suite' value from 'stable' to 'oldstable'
#11 2.290 E: Repository 'http://deb.debian.org/debian buster-updates InRelease' changed its 'Suite' value from 'stable-updates' to 'oldstable-updates'
#11 ERROR: executor failed running [/bin/sh -c apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev]: exit code: 100
------
> [builder  3/15] RUN apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev:
------
executor failed running [/bin/sh -c apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev]: exit code: 100
#1 [internal] load build definition from Dockerfile
#1 sha256:0f6298fc0bc123a6bb523f0dce38bda9e55384186cd4eb9a04bfd4a8c504bf22
#1 transferring dockerfile: 38B done
#1 DONE 0.1s

#2 [internal] load .dockerignore
#2 sha256:bc10004e87698877a8be43450659e5270288d9d1d398f9e0071f31344fdfbe26
#2 transferring context: 35B done
#2 DONE 0.2s

#4 [internal] load metadata for docker.io/fishwaldo/ozw-base:5.12.9
#4 sha256:1f2d3650a2854d6de5f8e8cf5b1b694eb618d70974be2e6f7d626e962ecad8bc
#4 DONE 1.1s

#3 [internal] load metadata for docker.io/library/debian:buster-slim
#3 sha256:9eff6dca560982b2e63ff856e62cbe563510aefae21ffbf5035ede9ce6b0ad90
#3 DONE 1.0s

#9 [builder  1/15] FROM docker.io/fishwaldo/ozw-base:5.12.9@sha256:f5f16cda59b9f9ec0aa4d48b017acb0f0ccfdc22920b06bb7a1b0c911a1ec516
#9 sha256:38f43d286ceeb7c67f745679b1644d571709185e4d593f167c20f90c7e6f4f93
#9 DONE 0.0s

#5 [base  1/12] FROM docker.io/library/debian:buster-slim@sha256:fda76aa2ef4867e583dc8a7b86bbdb51118b8794c1b98aa4aeebaca3a1ad9c0f
#5 sha256:52b23641500680f1fcf846d1348f37daf5623fb68ab762776c7cd86e3bc933d5
#5 DONE 0.0s

#6 [base  2/12] WORKDIR /opt
#6 sha256:8b63e1de183a530adf1f65b1c939cd1d966e5d9077da3f94e9168aa5b63385ae
#6 CACHED

#7 [base  3/12] RUN apt update     && apt-get -y install libunwind8 libcurl4 binutils libglib2.0-0 libicu63 wget     && apt-get -y purge binutils     && apt-get -y autoremove     && apt-get clean     && rm -rf /var/lib/apt/lists/*
#7 sha256:116f1ca8998ffc5089c5dcdb6ba66991f44f026a2a84fafc4a00390590aee4f3
#7 CACHED

#8 [base  4/12] RUN case `uname -m` in x86_64) var="amd64";; armhf) var="armhf";; armv7l) var="armhf";; aarch64) var="aarch64";; esac && wget https://github.com/just-containers/s6-overlay/releases/download/v2.0.0.1/s6-overlay-$var.tar.gz -O /tmp/s6-overlay.tar.gz         && tar xzf /tmp/s6-overlay.tar.gz -C /         && rm /tmp/s6-overlay.tar.gz
#8 sha256:79158bc3636ecccff0731873ad1c62bb8adbd8d95a84c3dc24cf64bfb934170e
#8 CACHED

#10 [builder  2/15] WORKDIR /opt
#10 sha256:32ab0c22c381f1e9ef37cbbc4f0c461ef97c61245eeda300f3ffb1c1c2359804
#10 CACHED

#15 [internal] load build context
#15 sha256:053fd308df6746b4632187e33e75efd7724c299138a73914377c4c669a74a492
#15 transferring context: 11.94kB 0.0s done
#15 DONE 0.2s

#11 [builder  3/15] RUN apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev
#11 sha256:8a2ca063f1f1c3496151637afafeb6ccfc7d59ec0a72492f877f7f1997a8b5a4
#11 0.599
#11 0.599 WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
#11 0.599
#11 0.666 Get:1 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
#11 0.666 Get:2 http://deb.debian.org/debian buster InRelease [122 kB]
#11 0.684 Get:3 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
#11 1.287 Reading package lists...
#11 ...

#33 https://github.com/novnc/websockify/archive/v0.9.0.tar.gz
#33 sha256:59dc9f91cc74373f571cd4f72a23c5e70d4c0c69ab0aad039f9b115e07dc7e95
#33 DONE 0.0s

#35 https://github.com/novnc/noVNC/archive/v1.2.0.tar.gz
#35 sha256:ae23d4eaaefab67741b6ea68eb1b820708427ac5ed24df80a4d1c39968abc196
#35 DONE 2.6s

#11 [builder  3/15] RUN apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev
#11 sha256:8a2ca063f1f1c3496151637afafeb6ccfc7d59ec0a72492f877f7f1997a8b5a4
#11 1.287 Reading package lists...
#11 2.321 E: Repository 'http://security.debian.org/debian-security buster/updates InRelease' changed its 'Suite' value from 'stable' to 'oldstable'
#11 2.321 E: Repository 'http://deb.debian.org/debian buster InRelease' changed its 'Suite' value from 'stable' to 'oldstable'
#11 2.321 E: Repository 'http://deb.debian.org/debian buster-updates InRelease' changed its 'Suite' value from 'stable-updates' to 'oldstable-updates'
#11 ERROR: executor failed running [/bin/sh -c apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev]: exit code: 100
------
> [builder  3/15] RUN apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev:
------
executor failed running [/bin/sh -c apt update && apt-get -y install rapidjson-dev cmake pkgconf python libunwind-dev libcurl4-openssl-dev libx11-dev libglu1-mesa-dev libexecline-dev]: exit code: 100